System Requirements

Live Sense SDK for Linux is designed for, and tested with, edge Linux devices. The SDK performance varies between devices, since it is primarily determined by CPU, GPU, and input image resolution.

The following outlines the minimum requirements:

  • At least 1 GB of storage for Live Sense files
  • Minimum 2 GB RAM and 8 GB swap space (recommended)
  • For the Jetson family devices - Jetpack v4.3
  • For ARM based devices - ARMv8(64 bit)

Devices

We have tested the SDK on the following devices and configurations:

Device Configuration
NVIDIA Jetson AGX Xavier [16GB] L4T 32.5.0 [ JetPack 4.5 ]
Ubuntu 18.04.5 LTS
Kernel Version: 4.9.201-tegra
CUDA 10.2.89
CUDA Architecture: 7.2
OpenCV version: 4.1.1
OpenCV Cuda: NO
CUDNN: 8.0.0.180
TensorRT: 7.1.3.0
Vision Works: 1.6.0.501
VPI: libnvpi1 1.0.12 arm64
NVIDIA Jetson Nano [8GB] L4T 32.5.0 [ JetPack 4.5 ]
Ubuntu 18.04.5 LTS
Kernel Version: 4.9.201-tegra
CUDA 10.2.89
CUDA Architecture: 7.2
OpenCV version: 4.1.1
OpenCV Cuda: NO
CUDNN: 8.0.0.180
TensorRT: 7.1.3.0
Vision Works: 1.6.0.501
VPI: libnvpi1 1.0.12 arm64
Coral Edge TPU: Dev Board [1GB] Mendel Linux 5.0
Edge TPU Runtime Version 13
(pre-installed on the Dev Board)
Coral Edge TPU: USB Accelerator Edge TPU Runtime Version 13
libedgetpu1-max runs at the maximum frequency of 500 MHz
Common glibc 2.27
libstdc++ 6.0 (GLIBCXX_3.4.22, GCC_3.0, CXXABI_1.3.9)
OpenSSL 1.1.0 (OPENSSL_1_1_0)
libcurl 4.5.0 (CURL_OPENSSL_4)

CPU Support

We have confirmed SDK functionality on, and recommend, the following CPU:

  • Quad-core ARM Cortex-A57 @ 1.43 GHz
  • Quad-core ARM Cortex-A53

GPU Support

We have tested the SDK on the above NVIDIA Jetson-based devices. However, as of the 0.3.0 release of the SDK, support for other 3rd-party GPUs has been added. If a non-NVIDIA GPU is available consider enabling the GPU-delegate in the SDK via ModelOptions.

Note that the GPU must support OpenCL or OpenGL ES (3.1 or higher).

results matching ""

    No results matching ""